summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Olivier Esser <olive001@tele2allin.be>2010-05-11 20:00:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:58 +0200
commit705d15ea3b46242ec5e851829e7db4cbf76ad099 (patch)
tree2e26105c226c18e2c276b291019a9137f70d1807 /libraries
parentec6c256fc14d14469367afe66178d078135457f0 (diff)
downloadslackbuilds-705d15ea3b46242ec5e851829e7db4cbf76ad099.tar.gz
slackbuilds-705d15ea3b46242ec5e851829e7db4cbf76ad099.tar.xz
libraries/opal: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/opal/README5
-rw-r--r--libraries/opal/opal.SlackBuild59
-rw-r--r--libraries/opal/opal.info8
-rw-r--r--libraries/opal/slack-desc19
4 files changed, 91 insertions, 0 deletions
diff --git a/libraries/opal/README b/libraries/opal/README
new file mode 100644
index 0000000000..fcb859f9f5
--- /dev/null
+++ b/libraries/opal/README
@@ -0,0 +1,5 @@
+OPAL is an Open Source class library for the development of
+applications that use SIP / H.323 protocols for multimedia
+communications over packet based networks.
+
+This requires pwlib (also available at SlackBuilds.org)
diff --git a/libraries/opal/opal.SlackBuild b/libraries/opal/opal.SlackBuild
new file mode 100644
index 0000000000..deffee8ef6
--- /dev/null
+++ b/libraries/opal/opal.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for opal
+
+# Written by Olivier Esser (olive001@tele2allin.be), based on
+# the template available at slackbuilds.org (public domain)
+
+# Exit on most errors
+set -e
+
+PRGNAM=opal
+VERSION=2.2.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a mpl-1.0.htm $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/opal/opal.info b/libraries/opal/opal.info
new file mode 100644
index 0000000000..3ae5f41a03
--- /dev/null
+++ b/libraries/opal/opal.info
@@ -0,0 +1,8 @@
+PRGNAM="opal"
+VERSION="2.2.11"
+HOMEPAGE="http://ekiga.org"
+DOWNLOAD="http://www.ekiga.org/admin/downloads/latest/sources/sources/opal-2.2.11.tar.gz"
+MD5SUM="eb4a9c0c9ea93ec95c876aaeadf83936"
+MAINTAINER="Olivier Esser"
+EMAIL="olive001@tele2allin.be"
+APPROVED="rworkman"
diff --git a/libraries/opal/slack-desc b/libraries/opal/slack-desc
new file mode 100644
index 0000000000..2cb82e1291
--- /dev/null
+++ b/libraries/opal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+opal: OPAL (Open Phone Abstraction Library)
+opal:
+opal: OPAL is an Open Source class library for the development of
+opal: applications that use SIP / H.323 protocols for multimedia
+opal: communications over packet based networks.
+opal:
+opal:
+opal:
+opal:
+opal:
+opal: